# XQilla Simple API Documentation

# ExternalFunction::Arguments Class Reference

`#include <ExternalFunction.hpp>`

List of all members.

## Public Member Functions

virtual | ~Arguments ()
virtual Result | getArgument (size_t index, DynamicContext *context) const =0
| Return the result for the argument index specified. Arguments indexes are zero based.

## Constructor & Destructor Documentation

virtual ExternalFunction::Arguments::~Arguments | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Result ExternalFunction::Arguments::getArgument | ( | size_t | index,
|  | DynamicContext * | context |
| ) |  |  | const`[pure virtual]`

Return the result for the argument index specified. Arguments indexes are zero based.

The documentation for this class was generated from the following file:

- ExternalFunction.hpp